Debian Bug report logs - #520901
waiting for ruby1.9 support

version graph

Package: src:qtruby; Maintainer for src:qtruby is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>;

Reported by: "j.wuttke" <j.wuttke@fz-juelich.de>

Date: Mon, 23 Mar 2009 13:21:01 UTC

Severity: important

Tags: patch

Found in version qtruby/4:4.10.5-1

Fixed in version qtruby/4:4.11.3-2

Done: Cédric Boutillier <boutil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Vincent Fourmond <fourmond@debian.org>:
Bug#520901; Package libqt4-ruby. (Mon, 23 Mar 2009 13:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "j.wuttke" <j.wuttke@fz-juelich.de>:
New Bug report received and forwarded. Copy sent to Vincent Fourmond <fourmond@debian.org>. (Mon, 23 Mar 2009 13:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "j.wuttke" <j.wuttke@fz-juelich.de>
To: submit@bugs.debian.org
Subject: waiting for ruby1.9 support
Date: Mon, 23 Mar 2009 14:16:42 +0100
Package: libqt4-ruby
Version: 1.4.10-3

KDE developpers succeeded in migrating QtRuby to Ruby 1.9:
http://www.kdedevelopers.org/node/3876

Who feels capable of packaging this new binding for Debian?

- Joachim







-------------------------------------------------------------------
-------------------------------------------------------------------
Forschungszentrum Jülich GmbH
52425 Jülich

Sitz der Gesellschaft: Jülich
Eingetragen im Handelsregister des Amtsgerichts Düren Nr. HR B 3498
Vorsitzende des Aufsichtsrats: MinDir'in Bärbel Brumme-Bothe
Geschäftsführung: Prof. Dr. Achim Bachem (Vorsitzender),
Dr. Ulrich Krafft (stellv. Vorsitzender), Prof. Dr. Harald Bolt,
Dr. Sebastian M. Schmidt
-------------------------------------------------------------------
-------------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#520901; Package libqt4-ruby. (Mon, 23 Mar 2009 14:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@debian.org>:
Extra info received and forwarded to list. (Mon, 23 Mar 2009 14:27:06 GMT) Full text and rfc822 format available.

Message #10 received at 520901@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@debian.org>
To: "j.wuttke" <j.wuttke@fz-juelich.de>, 520901@bugs.debian.org
Subject: Re: Bug#520901: waiting for ruby1.9 support
Date: Mon, 23 Mar 2009 15:24:34 +0100
  Hello,

2009/3/23 j.wuttke <j.wuttke@fz-juelich.de>:
> KDE developpers succeeded in migrating QtRuby to Ruby 1.9:
> http://www.kdedevelopers.org/node/3876
>
> Who feels capable of packaging this new binding for Debian?

  libqt4-ruby is now under the maintainorship of the Qt/KDE team. As
far as I am concerned, I sincerely doubt I will try to upload to
*stable* a new version built with ruby1.9. However, no doubt that when
KDE 4 hits unstable, this will be taken care of.

  Cheers,

      Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#520901; Package libqt4-ruby. (Wed, 28 Jul 2010 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yauhen Kharuzhy <jekhor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 28 Jul 2010 19:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 520901@bugs.debian.org (full text, mbox):

From: Yauhen Kharuzhy <jekhor@gmail.com>
To: 520901@bugs.debian.org
Subject: Status?
Date: Wed, 28 Jul 2010 22:02:43 +0300
Is any progress with this issue?

-- 
Yauhen Kharuzhy		jekhor _at_ gmail.com
			JID: jek@jabber.ru

A: No
Q: Should I quote below my post?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#520901; Package libqt4-ruby. (Sun, 05 Aug 2012 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to bug-reporting <bug-reporting@serenareem.net>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 05 Aug 2012 12:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 520901@bugs.debian.org (full text, mbox):

From: bug-reporting <bug-reporting@serenareem.net>
To: 520901@bugs.debian.org
Subject: Status?
Date: Sun, 05 Aug 2012 15:43:38 +0400
In the meanwhile in 2012...



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#520901; Package libqt4-ruby. (Tue, 09 Jul 2013 08:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "David, Erwan" <EDavid@nds.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 09 Jul 2013 08:09:09 GMT) Full text and rfc822 format available.

Message #25 received at 520901@bugs.debian.org (full text, mbox):

From: "David, Erwan" <EDavid@nds.com>
To: "520901@bugs.debian.org" <520901@bugs.debian.org>
Subject: And in 2013...
Date: Tue, 9 Jul 2013 07:59:54 +0000
Still no news...

--
Erwan DAVID
IT Unix/Network, France
tel: +33 155 006 116 / 8339 6116
mob: +33 622 174 037


________________________________

This message is confidential and intended only for the addressee. If you have received this message in error, please immediately notify the postmaster@nds.com and delete it from your system as well as any copies. The content of e-mails as well as traffic data may be monitored by NDS for employment and security purposes.
To protect the environment please do not print this e-mail unless necessary.

An NDS Group Limited company. www.nds.com



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#520901; Package libqt4-ruby. (Tue, 09 Jul 2013 11:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maximiliano Curia <maxy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 09 Jul 2013 11:57:04 GMT) Full text and rfc822 format available.

Message #30 received at 520901@bugs.debian.org (full text, mbox):

From: Maximiliano Curia <maxy@debian.org>
To: David Erwan <EDavid@nds.com>, 520901@bugs.debian.org
Subject: Re: Bug#520901: And in 2013...
Date: Tue, 09 Jul 2013 13:54:13 +0200
David, Erwan wrote:
> Still no news...

This kind of comments are not productive. If you want to help, please, provide 
a patch to the package.

Happy hacking,
-- 
"Always code as if the person who ends up maintaining your code is a violent
psychopath who knows where you live."
-- John Woods
Saludos /\/\ /\ >< `/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#520901; Package libqt4-ruby. (Thu, 12 Sep 2013 21:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <boutil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 12 Sep 2013 21:30:09 GMT) Full text and rfc822 format available.

Message #35 received at 520901@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 520901@bugs.debian.org
Subject: raising severity and tagging
Date: Thu, 12 Sep 2013 23:27:58 +0200
[Message part 1 (text/plain, inline)]
Control: severity -1 important
Control: user debian-ruby@lists.debian.org
Control: usertags -1 ruby18-removal

Hi,

Since Wheezy, ruby1.9.1 has been the default Ruby interpreter.
Upstream has obsoleted Ruby 1.8 and will not provide any support for it.
As a consequence, the Ruby team is willing to remove ruby1.8 from the
archive (See the page for the scheduled transition [0]).

I am therefore raising the severity of this bug to important.

Don't hesitate to contact the Ruby team if help is needed to address
this issue.

Cheers,

Cédric

  0: http://release.debian.org/transitions/html/ruby1.8-removal.html
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'normal' Request was from Cédric Boutillier <boutil@debian.org> to 520901-submit@bugs.debian.org. (Thu, 12 Sep 2013 21:30:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#520901; Package libqt4-ruby. (Tue, 17 Sep 2013 13:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <boutil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 17 Sep 2013 13:33:13 GMT) Full text and rfc822 format available.

Message #42 received at 520901@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 520901@bugs.debian.org
Subject: patches
Date: Tue, 17 Sep 2013 15:32:25 +0200
[Message part 1 (text/plain, inline)]
Control: tag -1 patch

Hi,

I gave a try a making a patch to build qtruby against ruby1.9.1 instead
of ruby1.8.

Please find attached the sequence of changes, as well as the full debdiff.

I had to add a Build-Conflicts with ruby1.8, since otherwise the
libraries got linked against libruby1.8 if it happened to be installed
on the system during the build.

Tell me what you think.

Cheers,

Cédric
[0001-build-conflict-with-ruby1.8-and-build-with-ruby1.9.1.patch (text/x-diff, attachment)]
[0002-install-files-in-Ruby-vendor-locations-as-per-Ruby-p.patch (text/x-diff, attachment)]
[0003-fix-install-path-for-Ruby-libs.patch (text/x-diff, attachment)]
[0004-drop-use_ruby1.8.diff-since-the-default-Ruby-version.patch (text/x-diff, attachment)]
[qtruby_with_ruby19.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Cédric Boutillier <boutil@debian.org> to 520901-submit@bugs.debian.org. (Tue, 17 Sep 2013 13:33:13 GMT) Full text and rfc822 format available.

Added indication that bug 520901 blocks 723634 Request was from Cédric Boutillier <boutil@debian.org> to submit@bugs.debian.org. (Wed, 18 Sep 2013 09:54:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libqt4-ruby' to 'src:qtruby'. Request was from Cédric Boutillier <boutil@debian.org> to control@bugs.debian.org. (Wed, 02 Oct 2013 20:57:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions libqt4-ruby/1.4.10-3. Request was from Cédric Boutillier <boutil@debian.org> to control@bugs.debian.org. (Wed, 02 Oct 2013 20:57:05 GMT) Full text and rfc822 format available.

Marked as found in versions qtruby/4:4.10.5-1. Request was from Cédric Boutillier <boutil@debian.org> to control@bugs.debian.org. (Wed, 02 Oct 2013 20:57:09 GMT) Full text and rfc822 format available.

Reply sent to Cédric Boutillier <boutil@debian.org>:
You have taken responsibility. (Tue, 10 Dec 2013 21:57:05 GMT) Full text and rfc822 format available.

Notification sent to "j.wuttke" <j.wuttke@fz-juelich.de>:
Bug acknowledged by developer. (Tue, 10 Dec 2013 21:57:05 GMT) Full text and rfc822 format available.

Message #57 received at 520901-done@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 520901-done@bugs.debian.org
Subject: closed by 4.11.3-2 upload
Date: Tue, 10 Dec 2013 22:52:56 +0100
[Message part 1 (text/plain, inline)]
Control: fixed 4:4.11.3-2

Hi!

The 4.11.3-2 upload of qtruby provides now support for Ruby1.9.1 (and
drops support for Ruby 1.8). I am therefore closing this bug.

Cheers,

Cédric
[signature.asc (application/pgp-signature, inline)]

Marked as fixed in versions qtruby/4:4.11.3-2. Request was from Cédric Boutillier <boutil@debian.org> to control@bugs.debian.org. (Tue, 10 Dec 2013 22:15:04 GMT) Full text and rfc822 format available.

Added indication that bug 520901 blocks 731866 Request was from Christian Hofstaedtler <christian@hofstaedtler.name> to control@bugs.debian.org. (Fri, 17 Jan 2014 17:00:52 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 15 Feb 2014 07:25:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:05:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.